> ## Documentation Index
> Fetch the complete documentation index at: https://docs.platnova.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Transactions

> Retrieve a paginated list of transactions for the entity. Supports filtering by customer, sorting, and optional CSV export.

## Overview

Retrieve a paginated list of all transactions associated with your account. This endpoint allows you to view transaction history with filtering and sorting options.


## OpenAPI

````yaml GET /v1/transactions
openapi: 3.1.0
info:
  title: API
  version: 1.0.0
  description: >-
    Platnova's Business API allows businesses to issue virtual accounts and
    cards to their employees, vendors, or retail customers. It allows businesses
    to streamline the process of issuing cards, manage spending, and track
    transactions. The API documentation provides information on how to integrate
    our virtual card issuing system into a business's existing systems and
    outlines the features and functionalities of the API, including card and
    account creation, management, and reporting. It also provides technical
    specifications, such as API requests, responses, and authentication
    processes.


    The API documentation is intended for developers and IT teams to use in
    order to effectively implement Platnova solutions into their business
    processes.


    # Authentication/Authorization


    To access any of the resources on the `{BaseUrl}/v1/`, the client has to
    pass pre-defined headers for authentication and authorization.


    The API is secure and only authorized clients can consume the service. There
    are API keys assigned to every business and JWT tokens assigned to every
    account for authentication/authorization.


    ## Bearer Token


    Requests may accept jwt tokens as below.


    ``` json

    Authorization: Bearer <jwt token>

     ```

    ## API Key


    Requests may acccept an api key either in the request headers or as a query
    parameter. Some requests cannot be authorized using an API key.


    ``` json

    X-API-KEY: <api key>

     ```

    OR


    ``` json

    ?api-key=<api key>

     ```

    # Base URL


    [https://sandbox.api.platnova.co](https://sandbox.api.platnova.co)


    # Errors


    Unauthorized API key


    ``` json

    {
        "status": false,
        "data": {},
        "error": [],
        "message": "unauthorized access"
    }

     ```

    Permission Denied


    ``` json

    {
        "status": false,
        "data": {},
        "error": [],
        "message": "unauthorized access: permission denied"
    }

     ```
servers:
  - url: https://api.platnova.com
    description: Production server
  - url: https://sandbox.api.platnova.co
    description: Development server
security:
  - apiKeyAuth: []
tags:
  - name: Customer
    description: Create and manage customers
  - name: Virtual Account
    description: Create and manage virtual accounts
  - name: Card
    description: Create and manage cards
  - name: Wallet
    description: List and manage wallets
  - name: Payment
    description: Send and verify payments
  - name: Transaction
    description: List transactions and generate receipts
  - name: Checkout
    description: Create and retrieve checkout sessions
  - name: Payment Link
    description: Create and manage payment links
  - name: Invoice
    description: Create and manage invoices
paths:
  /v1/transactions:
    get:
      tags:
        - Transaction
      summary: List transactions
      description: >-
        Retrieve a paginated list of transactions for the entity. Supports
        filtering by customer, sorting, and optional CSV export.
      operationId: listTransactions
      parameters:
        - name: page
          in: query
          required: false
          description: Page number (0-indexed)
          schema:
            type: integer
          example: 0
        - name: size
          in: query
          required: false
          description: Number of items per page
          schema:
            type: integer
          example: 20
        - name: sort
          in: query
          required: false
          description: Sort field and direction
          schema:
            type: string
        - name: filters
          in: query
          required: false
          description: Filter expression
          schema:
            type: string
        - name: export
          in: query
          required: false
          description: Set to export results as CSV
          schema:
            type: string
        - name: customer_id
          in: query
          required: false
          description: Filter by customer ID
          schema:
            type: string
          example: 43a2b75e-5c59-429e-872a-2a54c7b17e34
      responses:
        '200':
          description: Transactions retrieved successfully (or CSV when export is set)
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: object
                    properties:
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            ref:
                              type: string
                            amount:
                              type: string
                            fee:
                              type: string
                            type:
                              type: string
                            status:
                              type: string
                            entry:
                              type: string
                            message:
                              type: string
                            created_at:
                              type: string
                              format: date-time
                            wallet:
                              type: object
                            payment_transfer:
                              type: object
                      page:
                        type: integer
                      size:
                        type: integer
                      max_page:
                        type: integer
                      total_pages:
                        type: integer
                      total:
                        type: integer
                      last:
                        type: boolean
                      first:
                        type: boolean
                      visible:
                        type: integer
                  error:
                    type: array
                    items: {}
                  message:
                    type: string
              example:
                status: true
                data:
                  items:
                    - id: trx_43a2b75e-5c59-429e-872a-2a54c7b17e34
                      ref: UTR_7HeRoy4CRl6hcOOqAzwAeo0WLLMMbt
                      amount: '100.50'
                      fee: '10.00'
                      type: transfer
                      status: success
                      entry: debit
                      message: Bank transfer to John Doe
                      created_at: '2026-01-30T14:22:00Z'
                      wallet: {}
                      payment_transfer: {}
                  page: 0
                  size: 20
                  max_page: 5
                  total_pages: 6
                  total: 112
                  last: false
                  first: true
                  visible: 20
                error: []
                message: operation was successful
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        status:
          type: boolean
        data:
          type: object
        error:
          type: array
          items: {}
        message:
          type: string
          description: Error message
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key for authentication.

````